<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosTrading/Proxy.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosTrading::Proxy</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosTrading.html" >CosTrading</a>
</div><div class="class-name">interface Proxy

</div><div class="links"><div class="file">File: <a href="../../File/CosTrading.idl.html" target="detail">CosTrading.idl</a></div> <div class="xref"></div> <div class="source"></div></div>  <img alt="Proxy-inheritance" src="Proxy-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Proxy-inheritance_map" />
<map name="Proxy-inheritance_map"><area alt="Scopes/CosTrading/TraderComponents.html" href="TraderComponents.html" shape="rect" coords="5, 7, 208, 31" />
<area alt="Scopes/CosTrading/SupportAttributes.html" href="SupportAttributes.html" shape="rect" coords="232, 7, 427, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Typedefs Summary:</div>
<div class="item"><div class="synopsis"><a href="../CosTrading.html#Istring" >Istring</a> <a class="name" id="ConstraintRecipe">ConstraintRecipe</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Structs Summary:</div>
<div class="item"><div class="synopsis">struct <a href="Proxy/ProxyInfo.html" >ProxyInfo</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="Proxy/IllegalRecipe.html" >IllegalRecipe</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="Proxy/NotProxyOfferId.html" >NotProxyOfferId</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis">&#160;<a href="../CosTrading.html#OfferId" >OfferId</a> <a class="name" id="export_proxy">export_proxy</a>(<span class="keyword">in</span> <a href="Lookup.html" >Lookup</a> <span class="variable">target</span>, <span class="keyword">in</span> <a href="../CosTrading.html#ServiceTypeName" >ServiceTypeName</a> <span class="variable">type</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PropertySeq" >PropertySeq</a> <span class="variable">properties</span>, <span class="keyword">in</span> boolean <span class="variable">if_match_all</span>, <span class="keyword">in</span> <a href="Proxy.html#ConstraintRecipe" >ConstraintRecipe</a> <span class="variable">recipe</span>, <span class="keyword">in</span> <a href="../CosTrading.html#PolicySeq" >PolicySeq</a> <span class="variable">policies_to_pass_on</span>)  <a href="Proxy.html#export_proxy" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="withdraw_proxy">withdraw_proxy</a>(<span class="keyword">in</span> <a href="../CosTrading.html#OfferId" >OfferId</a> <span class="variable">id</span>)  <a href="Proxy.html#withdraw_proxy" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="Proxy/ProxyInfo.html" >ProxyInfo</a> <a class="name" id="describe_proxy">describe_proxy</a>(<span class="keyword">in</span> <a href="../CosTrading.html#OfferId" >OfferId</a> <span class="variable">id</span>)  <a href="Proxy.html#describe_proxy" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from TraderComponents">
<tr><td colspan="2" class="heading">Attributes Inherited from TraderComponents</td></tr>
<tr><td class="inherited"><a href="TraderComponents.html#lookup_if" title="attribute TraderComponents::lookup_if">lookup_if</a>,
<a href="TraderComponents.html#register_if" title="attribute TraderComponents::register_if">register_if</a>,
<a href="TraderComponents.html#link_if" title="attribute TraderComponents::link_if">link_if</a>,
<a href="TraderComponents.html#proxy_if" title="attribute TraderComponents::proxy_if">proxy_if</a>,
<a href="TraderComponents.html#admin_if" title="attribute TraderComponents::admin_if">admin_if</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from SupportAttributes">
<tr><td colspan="2" class="heading">Attributes Inherited from SupportAttributes</td></tr>
<tr><td class="inherited"><a href="SupportAttributes.html#supports_modifiable_properties" title="attribute SupportAttributes::supports_modifiable_properties">supports_modifiable_properties</a>,
<a href="SupportAttributes.html#supports_dynamic_properties" title="attribute SupportAttributes::supports_dynamic_properties">supports_dynamic_properties</a>,
<a href="SupportAttributes.html#supports_proxy_offers" title="attribute SupportAttributes::supports_proxy_offers">supports_proxy_offers</a>,
<a href="SupportAttributes.html#type_repos" title="attribute SupportAttributes::type_repos">type_repos</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
